## stellarium 0.11.0

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# Avoid repeating the IF statement in the ENDIF and ELSE
SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

IF(COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF()

########### Project name ###########
PROJECT(Stellarium)
SET(STELLARIUM_MAJOR "0")
SET(STELLARIUM_MINOR "11")
SET(STELLARIUM_PATCH "0")
SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
SET(PACKAGE stellarium)

SET(PACKAGE_VERSION "${VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")

# Use customized cmake macros
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

########### Main global variables ###########
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF()

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  SET(APPLE 1)
ENDIF()


IF(UNIX AND NOT WIN32)
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")       # additional C compile flags
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")     # additional CPP compile flags
ELSE()
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -fexceptions -fident -mthreads")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wsign-promo -fexceptions -fident -mthreads")
 SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wsign-promo -fexceptions -fident -mthreads -mwindows --large-address-aware")  # --enable-runtime-pseudo-reloc --verbose
ENDIF()

SET(OPTIMIZE_INTEL_ATOM 0 CACHE BOOL "Activate optimizations for atom processor.")
IF(OPTIMIZE_INTEL_ATOM)
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mtune=generic -msse -msse2 -msse3 -mfpmath=sse")
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mtune=generic -msse -msse2 -msse3 -mfpmath=sse")
ENDIF()

SET(BUILD_FOR_MAEMO 0 CACHE BOOL "Set to 1 or true if you want to build for maemo target")
IF(BUILD_FOR_MAEMO)
  # Optimize for N900 ARM processor
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -mtune=cortex-a8 -march=armv7-a -ftree-vectorize -mfpu=neon -mfloat-abi=softfp -ffast-math -funroll-loops -DBUILD_FOR_MAEMO")
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -mtune=cortex-a8 -march=armv7-a -ftree-vectorize -mfpu=neon -mfloat-abi=softfp -ffast-math -funroll-loops -DBUILD_FOR_MAEMO")
ENDIF()

# best way to get to APPLE?
IF(APPLE)
 SET(CMAKE_CXX_FLAGS "${CMAKE_C_FLAGS} -fno-common -Wall -Wextra")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-common -Wall -Wextra -Wno-unused-parameter")

 # uncomment one of the following, depending on minimum OS level you want
 #SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.5")
 #SET(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.5.sdk/")
 #SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.6")
 #SET(CMAKE_OSX_SYSROOT "/Developer/SDKs/MacOSX10.6.sdk/")
 
 # uncomment one of the following, depending on what platforms you want.
 # NOTE: Qt build for Cocoa is Intel only.  Qt with Carbon is both, but does not seem
 # to handle 64bit well.
 #SET(CMAKE_OSX_ARCHITECTURES "i386;x86_64;ppc;ppc64")
 #SET(CMAKE_OSX_ARCHITECTURES "i386;x86_64")
 #SET(CMAKE_OSX_ARCHITECTURES "x86_64")
ENDIF()

########### Check functions ###########
INCLUDE(CheckFunctionExists)
SET(CMAKE_REQUIRED_LIBRARIES "-lm")
CHECK_FUNCTION_EXISTS(pow10 HAVE_POW10)
SET(CMAKE_REQUIRED_LIBRARIES)
IF(HAVE_POW10)
 ADD_DEFINITIONS(-DHAVE_POW10)
ENDIF()

########### Others ###########
# Activate translation with gettext
SET(ENABLE_NLS 1 CACHE BOOL "Define whether program translation should be supported.")
IF(ENABLE_NLS)
  ADD_DEFINITIONS(-DENABLE_NLS)
ENDIF()

SET(RELEASE_BUILD 1 CACHE BOOL "Flag this build as an official release.")

# Activate sound support
SET(ENABLE_SOUND 0 CACHE BOOL "Define whether sound support should be activated.")

SET(ENABLE_SCRIPTING 1 CACHE BOOL "Define whether scripting features should be activated.")
IF(ENABLE_SCRIPTING)
  # (De-)Activate the script edit console
  SET(ENABLE_SCRIPT_CONSOLE 1 CACHE BOOL "Define whether to build the script console feature.")
  IF(ENABLE_SCRIPT_CONSOLE)
	ADD_DEFINITIONS(-DENABLE_SCRIPT_CONSOLE)
  ENDIF()
  SET(ENABLE_STRATOSCRIPT_COMPAT 0 CACHE BOOL "Set to 1 or true if you want to build the Stratoscript compatibility mode")
ELSE()
  ADD_DEFINITIONS(-DDISABLE_SCRIPTING)
ENDIF()


SET(GUI_MODE Standard CACHE STRING "Choose the type of GUI to build, options are: Standard, None, External")
SET(OPENGL_MODE Desktop CACHE STRING "Choose the type of openGL to use, options are: Desktop, ES2")

SET(GENERATE_PACKAGE_TARGET 1 CACHE BOOL "Set to 1 or true if you want to have make package target")

# On WIN32 we need to split the main binary into a small binary and a dll
# This is for allowing to link dynamic plug-ins afterward
IF(WIN32)
  SET(GENERATE_STELMAINLIB 1)
ELSE()
  SET(GENERATE_STELMAINLIB 0)
ENDIF()

# For Windows, the default back end for the graphics system should be "native", as "raster"
# causes problems for many ATI users.  However, for other platforms we should use raster
# as the default as it is faster.
# Mac 10.6 requires native as well.
IF(WIN32 OR APPLE)
  ADD_DEFINITIONS(-DDEFAULT_GRAPHICS_SYSTEM="native")
ELSE()
  ADD_DEFINITIONS(-DDEFAULT_GRAPHICS_SYSTEM="raster")
ENDIF()

########### Plugin setup #############
SET(BUILD_STATIC_PLUGINS 1 CACHE BOOL "Define whether plugins should be compiled statically and linked to the main program")
SET(BUILD_DYNAMIC_PLUGINS 0 CACHE BOOL "Define whether plugins should be compiled dynamically")

SET(USE_PLUGIN_HELLOSTELMODULE 0 CACHE BOOL "Define whether the HelloStelModule plugin should be created.")
SET(USE_PLUGIN_ANGLEMEASURE 1 CACHE BOOL "Define whether the AngleMeasure plugin should be created.")
SET(USE_PLUGIN_COMPASSMARKS 1 CACHE BOOL "Define whether the CompassMarks plugin should be created.")
SET(USE_PLUGIN_SATELLITES 1 CACHE BOOL "Define whether the Satellites plugin should be created.")
SET(USE_PLUGIN_TELESCOPECONTROL 1 CACHE BOOL "Define whether the TelescopeControl plug-in should be created.")
SET(USE_PLUGIN_LOGBOOK 0 CACHE BOOL "Define whether the LogBook plugin should be created.")
SET(USE_PLUGIN_OCULARS 1 CACHE BOOL "Define whether the Oculars plugin should be created.")
SET(USE_PLUGIN_SVMT 0 CACHE BOOL "Define whether the SVMT plugin should be created.")
SET(USE_PLUGIN_TEXTUSERINTERFACE 1 CACHE BOOL "Define whether the TextUserInterface plugin should be created.")
SET(USE_PLUGIN_TIMEZONECONFIGURATION 1 CACHE BOOL "Define whether the TimeZoneConfiguration plugin should be created.")
SET(USE_PLUGIN_VIRGO 0 CACHE BOOL "Define whether the VirGO plugin should be created.")
SET(USE_PLUGIN_SOLARSYSTEMEDITOR 1 CACHE BOOL "Define whether the Solar System Editor should be built.")
SET(USE_PLUGIN_SUPERNOVAS 1 CACHE BOOL "Define whether the Historical Supernova plugin should be created.")

########## Static plugins need to define includes and libraries
########## for the compilation of Stellarium itself
IF (BUILD_STATIC_PLUGINS)
  IF (USE_PLUGIN_SVMT)
	SET(QT_USE_QTXML TRUE) # For SVMT we also need QtXml module
	SET(QT_USE_QTDECLARATIVE TRUE) # For SVMT we also need QML module, this line doesn't seem to work right now
	SET(QT_USE_QTWEBKIT TRUE) # For SVMT we also need QML module, this line doesn't seem to work right now
  ENDIF()

  IF (USE_PLUGIN_VIRGO)
	## Library for loading FITS image files
	FIND_PATH(CFITSIO_INCLUDE_DIR fitsio.h
	  /usr/include
	  /usr/local/include
	  DOC "Should point to the directory where the include files for libcfitsio are installed")
	FIND_LIBRARY(CFITSIO_LIBRARIES cfitsio
	  PATHS
	  /usr/lib/
	  /usr/local/lib
	  /opt/local/lib
	  DOC "cfitsio link options")
	SET(QT_USE_QTXML TRUE) # For VirGO we also need QtXml module
  ENDIF()

  IF (USE_PLUGIN_LOGBOOK)
	SET(QT_USE_QTSQL TRUE) # For LogBook we also need SQL module
  ENDIF()

ENDIF()

# Custom target used to manage dependencies of stellarium -> Static plugins
# It is important that static plugins are compiled before stellarium main executable is linked
ADD_CUSTOM_TARGET(AllStaticPlugins ALL)

########### Find packages ###########
SET(QT_MIN_VERSION "4.6.0")
FIND_PACKAGE(Qt4 REQUIRED)
SET(QT_USE_QTOPENGL TRUE)
IF(ENABLE_SCRIPTING)
  SET(QT_USE_QTSCRIPT TRUE)
ENDIF()
SET(QT_USE_QTNETWORK TRUE)
SET(QT_USE_QTTEST TRUE)
IF(ENABLE_SOUND)
  ADD_DEFINITIONS(-DHAVE_QT_PHONON)
  SET(QT_USE_PHONON TRUE)
ENDIF()
INCLUDE(${QT_USE_FILE})

# Get rid of the QtTest dependency for the main binary. It is re-added manually when compiling tests.
STRING(REPLACE "${QT_QTTEST_LIBRARY}" "" QT_LIBRARIES "${QT_LIBRARIES}")
# Get rid of the GLU dependency, it's not needed in stellarium.
STRING(REPLACE "-lGLU " "" QT_LIBRARIES "${QT_LIBRARIES}")

FIND_PACKAGE(ZLIB)

IF(ENABLE_NLS)
  FIND_PACKAGE(Iconv REQUIRED)
  FIND_PATH(INTL_INCLUDE_DIR libintl.h
	PATHS
	/usr/include
	/sw/include
	/usr/local/include)
  FIND_LIBRARY(INTL_LIBRARIES intl c
	PATHS
	/usr/lib/
	/sw/lib
	/usr/local/lib) # NO_DEFAULT_PATH
  FIND_PACKAGE(Gettext REQUIRED)
  FIND_PACKAGE(XGettext REQUIRED)
ENDIF()


IF (OPENGL_MODE STREQUAL "Desktop")
  FIND_PACKAGE(OpenGL REQUIRED)
ENDIF()
IF(OPENGL_MODE STREQUAL "ES2")
  ADD_DEFINITIONS(-DUSE_OPENGL_ES2 -DQT_OPENGL_LIB -D_REENTRANT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED)
  # Make sure that no desktop OpenGL libraries are linked when OpenGLES is used
  STRING(REPLACE "-lGL" "-lGLESv2" QT_LIBRARIES "${QT_LIBRARIES}")
ENDIF()

########### Set some global variables ###########
IF(UNIX AND NOT WIN32)
IF(APPLE)
  SET(CMAKE_INSTALL_PREFIX "${PROJECT_BINARY_DIR}/Stellarium.app/Contents")
ELSE(APPLE)
  ADD_DEFINITIONS(-DINSTALL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/stellarium")
  ADD_DEFINITIONS(-DINSTALL_LOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale")
ENDIF()
ELSE()
  ADD_DEFINITIONS(-DINSTALL_DATADIR=".")
  ADD_DEFINITIONS(-DINSTALL_LOCALEDIR="./locale")
ENDIF()

########### Get revision number for non-release builds ###########
IF(NOT RELEASE_BUILD)
  #Hack until CMake detection for Bazaar is finished
  IF(BZR_REVISION)
	SET(PACKAGE_VERSION "bzr${BZR_REVISION}")
	ADD_DEFINITIONS(-DBZR_REVISION="${BZR_REVISION}")
  ELSE()
	FIND_PACKAGE(Subversion)
	IF(Subversion_FOUND)
	  Subversion_WC_INFO(${PROJECT_SOURCE_DIR} StelSvn)
	  SET(SVN_REVISION ${StelSvn_WC_REVISION})
	  ADD_DEFINITIONS(-DSVN_REVISION="${SVN_REVISION}")
	ENDIF()
  ENDIF()
ENDIF()

IF(ENABLE_STRATOSCRIPT_COMPAT)
  ADD_DEFINITIONS(-DENABLE_STRATOSCRIPT_COMPAT)
ENDIF()


### Generate an Inno Setup project file ###
IF(WIN32)
  SET(CONFIGURED_FILE_WARNING "Do not edit this file! It has been automatically generated by CMake. Your changes will be lost the next time CMake is run.")
  CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/stellarium.iss.cmake ${CMAKE_SOURCE_DIR}/stellarium.iss @ONLY)
ENDIF(WIN32)

IF(CMAKE_BUILD_TYPE STREQUAL "Release" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  ADD_DEFINITIONS(-DQT_NO_DEBUG)
  ADD_DEFINITIONS(-DNDEBUG)
ENDIF()

########### uninstall files ###############
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### Packaging info for CPack ###########

IF(GENERATE_PACKAGE_TARGET)
  INCLUDE(InstallRequiredSystemLibraries)
  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Stellarium is a free open source planetarium for your computer. It shows a realistic sky in 3D, just like what you see with the naked eye, binoculars or a telescope.")
  SET(CPACK_PACKAGE_VENDOR "Stellarium's team")
  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
  SET(CPACK_PACKAGE_VERSION_MAJOR ${STELLARIUM_MAJOR})
  SET(CPACK_PACKAGE_VERSION_MINOR ${STELLARIUM_MINOR})

=== plugins/CMakeLists.txt ===
IF(WIN32)
  SET(CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "--enable-runtime-pseudo-reloc")
ENDIF()

ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_DLL)
ADD_DEFINITIONS(-D_REENTRANT)

IF (USE_PLUGIN_ANGLEMEASURE)
  ADD_SUBDIRECTORY( AngleMeasure )
ENDIF()
IF (USE_PLUGIN_COMPASSMARKS)
  ADD_SUBDIRECTORY( CompassMarks )
ENDIF()
IF (USE_PLUGIN_HELLOSTELMODULE)
  ADD_SUBDIRECTORY( HelloStelModule )
ENDIF()
IF (USE_PLUGIN_LOGBOOK)
  ADD_SUBDIRECTORY( LogBook )
ENDIF()
IF (USE_PLUGIN_OCULARS)
  ADD_SUBDIRECTORY( Oculars )
ENDIF()
IF (USE_PLUGIN_SATELLITES)
  ADD_SUBDIRECTORY( Satellites )
ENDIF()
IF (USE_PLUGIN_SOLARSYSTEMEDITOR)
  ADD_SUBDIRECTORY( SolarSystemEditor )
ENDIF()
IF (USE_PLUGIN_SVMT)
  SET(SOURCE_SVMT_PATH "../../svmt/" CACHE PATH "The location of the SVMT plugin main directory i.e. the one containing the top level CMakeLists.txt")
  ADD_SUBDIRECTORY( ${SOURCE_SVMT_PATH} svmt )
ENDIF()
IF (USE_PLUGIN_TELESCOPECONTROL)
  ADD_SUBDIRECTORY( TelescopeControl )
ENDIF()
IF (USE_PLUGIN_TEXTUSERINTERFACE)
  ADD_SUBDIRECTORY( TextUserInterface )
ENDIF()
IF (USE_PLUGIN_TIMEZONECONFIGURATION)
  ADD_SUBDIRECTORY( TimeZoneConfiguration )
ENDIF()
IF (USE_PLUGIN_SUPERNOVAS)
  ADD_SUBDIRECTORY( Supernovas )
ENDIF()
IF (USE_PLUGIN_VIRGO)
  SET(VIRGO_PROJECT_PATH "../extmodules/VirGO/" CACHE PATH "The location of the VirGO plugin main directory i.e. the one containing the top level CMakeLists.txt")
  ADD_SUBDIRECTORY( ${VIRGO_PROJECT_PATH} VirGO )
ENDIF()

=== textures/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES amalthea.png proteus.png triton.png mercury.png venus.png earth-clouds.png earthmap.png mars.png jupiter.png saturn.png uranus.png neptune.png earth-shadow.png saturn_rings_radial.png lune.png phobos.png deimos.png io.png europa.png ganymede.png callisto.png mimas.png enceladus.png tethys.png dione.png rhea.png titan.png hyperion.png iapetus.png miranda.png ariel.png umbriel.png titania.png oberon.png fog.png milkyway.png fogridge.png ocl.png gcl.png pnb.png neb.png halo.png pointeur2.png pointeur4.png pointeur5.png logo24bits.png star16x16.png sun.png nomap.png haloLune.png planet-indicator.png DESTINATION share/${PACKAGE}/textures)

=== landscapes/garching/CMakeLists.txt ===

########### install files ###############

INSTALL (FILES landscape.ini description.en.utf8 description.ru.utf8 garching-gl1.png  garching-gl2.png  garching-gl3.png  garching-gl4.png garching-ground3.png DESTINATION share/${PACKAGE}/landscapes/garching )

=== landscapes/guereins/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini description.en.utf8 description.ru.utf8 guereinsb.png guereins1.png guereins2.png guereins3.png guereins4.png guereins5.png guereins6.png guereins7.png guereins8.png DESTINATION share/${PACKAGE}/landscapes/guereins)

=== landscapes/hurricane/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini description.en.utf8 description.ru.utf8 hurricaneb.png hurricane1.png hurricane2.png hurricane3.png hurricane4.png hurricane5.png hurricane6.png hurricane7.png hurricane8.png DESTINATION share/${PACKAGE}/landscapes/hurricane)

=== landscapes/moon/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini description.en.utf8 description.ru.utf8 apollo17.png DESTINATION share/${PACKAGE}/landscapes/moon)

=== landscapes/ocean/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini description.en.utf8 description.ru.utf8 ocean1.png ocean2.png ocean3.png ocean4.png ocean5.png ocean6.png ocean7.png ocean8.png ocean9.png DESTINATION share/${PACKAGE}/landscapes/ocean)

=== landscapes/saturn/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini description.en.utf8 description.ru.utf8 saturn-256.png DESTINATION share/${PACKAGE}/landscapes/saturn)

=== landscapes/trees/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini description.en.utf8 description.ru.utf8 trees_512.png DESTINATION share/${PACKAGE}/landscapes/trees)

=== plugins/Oculars/CMakeLists.txt ===
SET(OCULARS_STELMODULE_MAJOR "0")
SET(OCULARS_STELMODULE_MINOR "99")
SET(OCULARS_STELMODULE_PATCH "0")
SET(OCULARS_VERSION "${OCULARS_STELMODULE_MAJOR}.${OCULARS_STELMODULE_MINOR}.${OCULARS_STELMODULE_PATCH}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Oculars")

=== plugins/Satellites/CMakeLists.txt ===
SET(SATELLITES_VERSION "0.6.4")

SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)


########### Generate plugin_config.h ###########
SET(PLUGIN_VERSION ${SATELLITES_VERSION})
CONFIGURE_FILE(plugin_config.h.cmake ${CMAKE_BINARY_DIR}/plugins/Satellites/src/plugin_config.h)

ADD_SUBDIRECTORY( src )
INSTALL(FILES DESTINATION "modules/Satellites")

=== debian/changelog ===
stellarium (0.11.0-1) unstable; urgency=low

  * New upstream release (Closes: #633517)
  * Update description and drop libqt4-sql-sqlite (Closes: #613380)

 -- Cédric Delfosse <cedric@debian.org>  Tue, 02 Aug 2011 20:55:21 +0200

=== debian/control ===
Source: stellarium
Section: science
Priority: optional
Maintainer: Cédric Delfosse <cedric@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.0), doxygen,
 libqt4-dev (>= 4:4.6.0), libqt4-opengl-dev (>= 4:4.6.0), zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.stellarium.org

Package: stellarium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, stellarium-data (>= ${source:Version})
Description: real-time photo-realistic sky generator
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 Some features:
  - default star catalogue with over 600 thousand stars,
  - information about the brightest stars (spectral type, distance, etc.),
  - downloadable star catalogue extensions, for up to 210 million stars,
  - all New General Catalogue (NGC) objects,
  - images of almost all Messier objects and the Milky Way,
  - real time positions of the planets and their satellites,
  - 13 different cultures with their constellations,
  - artistic illustrations of the 88 Western constellations,
  - very realistic atmosphere, sunrise and sunset,
  - 7 panoramic landscapes (more can be made or downloaded from the website),
  - scripting with ECMAScript,
  - plug-in support: Stellarium comes with 8 plug-ins by default, including:
  - artificial satellites plug-in (updated from an on-line TLE database),
  - ocular simulation plug-in (shows how objects look like in a given ocular),
  - Solar System editor plug-in (imports comet and asteroid data from the MPC),
  - telescope control plug-in (Meade LX200 and Celestron NexStar compatible).
 .
 Stellarium should not be used for very high accurate calculation or ephemerids
 like eclipse predictions. However, it is the ideal program to prepare an
 observation evening with naked eye, binocular, or small telescope.

Package: stellarium-data
Architecture: all
Depends: ${misc:Depends}
Description: Stellarium data files
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 This package contains data files required by Stellarium. They include
 textures, star catalogues and translations.

## stellarium 0.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PROJECT(Stellarium)
 SET(STELLARIUM_MAJOR "0")
 SET(STELLARIUM_MINOR "11")
-SET(STELLARIUM_PATCH "0")
+SET(STELLARIUM_PATCH "2")
 SET(VERSION "${STELLARIUM_MAJOR}.${STELLARIUM_MINOR}.${STELLARIUM_PATCH}")
 SET(PACKAGE stellarium)
 
@@ -146,7 +146,9 @@
 SET(USE_PLUGIN_TIMEZONECONFIGURATION 1 CACHE BOOL "Define whether the TimeZoneConfiguration plugin should be created.")
 SET(USE_PLUGIN_VIRGO 0 CACHE BOOL "Define whether the VirGO plugin should be created.")
 SET(USE_PLUGIN_SOLARSYSTEMEDITOR 1 CACHE BOOL "Define whether the Solar System Editor should be built.")
-SET(USE_PLUGIN_SUPERNOVAS 1 CACHE BOOL "Define whether the Historical Supernova plugin should be created.")
+SET(USE_PLUGIN_SUPERNOVAE 1 CACHE BOOL "Define whether the Historical Supernova plugin should be created.")
+SET(USE_PLUGIN_QUASARS 1 CACHE BOOL "Define whether the Quasars plugin should be created.")
+SET(USE_PLUGIN_PULSARS 1 CACHE BOOL "Define whether the Pulsars plugin should be created.")
 
 ########## Static plugins need to define includes and libraries
 ########## for the compilation of Stellarium itself
@@ -237,6 +239,8 @@
 ELSE(APPLE)
   ADD_DEFINITIONS(-DINSTALL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/stellarium")
   ADD_DEFINITIONS(-DINSTALL_LOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale")
+  # Used in generating the documentation (doc/stellarium.pod.cmake):
+  SET(INSTALL_DATADIR "${CMAKE_INSTALL_PREFIX}/share/stellarium")
 ENDIF()
 ELSE()
   ADD_DEFINITIONS(-DINSTALL_DATADIR=".")
@@ -289,8 +293,3 @@
 IF(GENERATE_PACKAGE_TARGET)
   INCLUDE(InstallRequiredSystemLibraries)
   SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Stellarium is a free open source planetarium for your computer. It shows a realistic sky in 3D, just like what you see with the naked eye, binoculars or a telescope.")
-  SET(CPACK_PACKAGE_VENDOR "Stellarium's team")
-  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
-  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-  SET(CPACK_PACKAGE_VERSION_MAJOR ${STELLARIUM_MAJOR})
-  SET(CPACK_PACKAGE_VERSION_MINOR ${STELLARIUM_MINOR})

=== src/CMakeLists.txt ===

SET(glues_lib_SRCS
	core/external/glues_stel/source/glues_error.c
	core/external/glues_stel/source/glues_error.h
	core/external/glues_stel/source/glues.h
	core/external/glues_stel/source/libtess/dict.h
	core/external/glues_stel/source/libtess/dict.c
	core/external/glues_stel/source/libtess/dict-list.h
	core/external/glues_stel/source/libtess/geom.c
	core/external/glues_stel/source/libtess/geom.h
	core/external/glues_stel/source/libtess/memalloc.c
	core/external/glues_stel/source/libtess/memalloc.h
	core/external/glues_stel/source/libtess/mesh.c
	core/external/glues_stel/source/libtess/mesh.h
	core/external/glues_stel/source/libtess/normal.c
	core/external/glues_stel/source/libtess/normal.h
	core/external/glues_stel/source/libtess/priorityq.c
	core/external/glues_stel/source/libtess/priorityq.h
	core/external/glues_stel/source/libtess/priorityq-heap.h
	core/external/glues_stel/source/libtess/priorityq-heap.i
	core/external/glues_stel/source/libtess/priorityq-sort.h
	core/external/glues_stel/source/libtess/render.c
	core/external/glues_stel/source/libtess/render.h
	core/external/glues_stel/source/libtess/sweep.c
	core/external/glues_stel/source/libtess/sweep.h
	core/external/glues_stel/source/libtess/tess.c
	core/external/glues_stel/source/libtess/tess.h
	core/external/glues_stel/source/libtess/tessmono.c
	core/external/glues_stel/source/libtess/tessmono.h
	)

IF (OPENGL_MODE STREQUAL "Desktop")
  SET(gl_lib_SRCS core/external/GLee.c core/external/GLee.h)
ENDIF()
IF(OPENGL_MODE STREQUAL "ES2")
  SET(gl_lib_SRCS core/external/GLee.h)
ENDIF()

SET(stellarium_lib_SRCS
	core/StelAudioMgr.hpp
	core/StelAudioMgr.cpp
	core/StelGeodesicGrid.cpp
	core/StelGeodesicGrid.hpp
	core/StelMovementMgr.cpp
	core/StelMovementMgr.hpp
	core/StelObserver.cpp
	core/StelObserver.hpp
	core/StelLocation.hpp
	core/StelLocation.cpp
	core/StelLocationMgr.hpp
	core/StelLocationMgr.cpp
	core/StelProjector.cpp
	core/StelProjector.hpp
	core/StelProjectorClasses.cpp
	core/StelProjectorClasses.hpp
	core/StelProjectorType.hpp
	core/StelSkyDrawer.cpp
	core/StelSkyDrawer.hpp
	core/StelPainter.hpp
	core/StelPainter.cpp
	core/MultiLevelJsonBase.hpp
	core/MultiLevelJsonBase.cpp
	core/StelSkyImageTile.hpp
	core/StelSkyImageTile.cpp
	core/StelSkyPolygon.hpp
	core/StelSkyPolygon.cpp
	core/SphericMirrorCalculator.cpp
	core/SphericMirrorCalculator.hpp
	core/StelApp.cpp
	core/StelApp.hpp
	core/StelCore.cpp
	core/StelCore.hpp
	core/StelFileMgr.cpp
	core/StelFileMgr.hpp
	core/StelAppGraphicsWidget.cpp
	core/StelAppGraphicsWidget.hpp
	core/StelLocaleMgr.cpp
	core/StelLocaleMgr.hpp
	core/StelModule.cpp
	core/StelModule.hpp
	core/StelModuleMgr.cpp
	core/StelModuleMgr.hpp
	core/StelObject.cpp
	core/StelObject.hpp
	core/StelObjectMgr.cpp
	core/StelObjectMgr.hpp
	core/StelObjectModule.cpp
	core/StelObjectModule.hpp
	core/StelObjectType.hpp
	core/StelPluginInterface.hpp
	core/StelSkyCultureMgr.cpp
	core/StelSkyCultureMgr.hpp
	core/StelTextureMgr.cpp
	core/StelTextureMgr.hpp
	core/StelTexture.cpp
	core/StelTexture.hpp
	core/StelTextureTypes.hpp
	core/StelToneReproducer.cpp
	core/StelToneReproducer.hpp
	core/StelSkyLayerMgr.cpp
	core/StelSkyLayerMgr.hpp
	core/StelSkyLayer.hpp
	core/StelSkyLayer.cpp
	core/StelFader.hpp
	core/StelSphereGeometry.cpp
	core/StelSphereGeometry.hpp
	core/OctahedronPolygon.cpp
	core/OctahedronPolygon.hpp
	core/StelIniParser.cpp
	core/StelIniParser.hpp
	core/StelUtils.cpp
	core/StelUtils.hpp
	core/StelTranslator.cpp
	core/StelTranslator.hpp
	core/VecMath.hpp
	core/StelJsonParser.hpp
	core/StelJsonParser.cpp
	core/SimbadSearcher.hpp
	core/SimbadSearcher.cpp
	core/StelSphericalIndex.hpp
	core/StelSphericalIndex.cpp
	core/StelVertexArray.hpp
	core/StelVertexArray.cpp
	core/StelGuiBase.hpp
	core/StelGuiBase.cpp
	core/StelViewportEffect.hpp
	core/StelViewportEffect.cpp
	core/TrailGroup.hpp
	core/TrailGroup.cpp
	core/RefractionExtinction.hpp
	core/RefractionExtinction.cpp
	core/StelLoadingBar.cpp
	core/StelLoadingBar.hpp

	${gl_lib_SRCS}
	core/external/fixx11h.h
	core/external/gettext.h

	core/external/kfilter/kfilterdev.h
	core/external/kfilter/kfilterdev.cpp
	core/external/kfilter/kfilterbase.h
	core/external/kfilter/kfilterbase.cpp
	core/external/kfilter/kgzipfilter.h
	core/external/kfilter/kgzipfilter.cpp
	core/external/kfilter/kzip.h
	core/external/kfilter/kzip.cpp
	core/external/kfilter/klimitediodevice.h
	core/external/kfilter/klimitediodevice.cpp
	core/external/kfilter/karchive.h
	core/external/kfilter/karchive.cpp

	${glues_lib_SRCS}

	core/planetsephems/calc_interpolated_elements.c
	core/planetsephems/calc_interpolated_elements.h
	core/planetsephems/elliptic_to_rectangular.c
	core/planetsephems/elliptic_to_rectangular.h
	core/planetsephems/elp82b.c
	core/planetsephems/elp82b.h
	core/planetsephems/gust86.c
	core/planetsephems/gust86.h
	core/planetsephems/l1.c
	core/planetsephems/l1.h
	core/planetsephems/marssat.c
	core/planetsephems/marssat.h
	core/planetsephems/pluto.c
	core/planetsephems/pluto.h
	core/planetsephems/sideral_time.c
	core/planetsephems/sideral_time.h
	core/planetsephems/stellplanet.c
	core/planetsephems/stellplanet.h
	core/planetsephems/tass17.c
	core/planetsephems/tass17.h
	core/planetsephems/vsop87.c
	core/planetsephems/vsop87.h

	core/modules/Atmosphere.cpp
	core/modules/Atmosphere.hpp
	core/modules/Constellation.cpp
	core/modules/Constellation.hpp
	core/modules/ConstellationMgr.cpp
	core/modules/ConstellationMgr.hpp
	core/modules/GridLinesMgr.cpp
	core/modules/GridLinesMgr.hpp
	core/modules/LabelMgr.hpp
	core/modules/LabelMgr.cpp
	core/modules/Landscape.cpp
	core/modules/Landscape.hpp
	core/modules/LandscapeMgr.cpp
	core/modules/LandscapeMgr.hpp
	core/modules/Meteor.cpp
	core/modules/Meteor.hpp
	core/modules/MeteorMgr.cpp
	core/modules/MeteorMgr.hpp
	core/modules/MilkyWay.cpp
	core/modules/MilkyWay.hpp
	core/modules/Nebula.cpp
	core/modules/Nebula.hpp
	core/modules/NebulaMgr.cpp
	core/modules/NebulaMgr.hpp
	core/modules/Orbit.cpp
	core/modules/Orbit.hpp
	core/modules/Planet.cpp
	core/modules/Planet.hpp
	core/modules/MinorPlanet.cpp
	core/modules/MinorPlanet.hpp
	core/modules/Comet.cpp
	core/modules/Comet.hpp
	core/modules/Skybright.cpp
	core/modules/Skybright.hpp
	core/modules/Skylight.cpp
	core/modules/Skylight.hpp
	core/modules/SolarSystem.cpp
	core/modules/SolarSystem.hpp
	core/modules/Solve.hpp
	core/modules/Star.cpp
	core/modules/Star.hpp
	core/modules/StarMgr.cpp
	core/modules/StarMgr.hpp
	core/modules/StarWrapper.cpp
	core/modules/StarWrapper.hpp
	core/modules/ZoneArray.cpp
	core/modules/ZoneArray.hpp
	core/modules/ZoneData.hpp

	StelMainGraphicsView.hpp
	StelMainGraphicsView.cpp
	StelMainWindow.hpp
	StelMainWindow.cpp
	StelLogger.hpp
	StelLogger.cpp
	CLIProcessor.hpp
	CLIProcessor.cpp
	translations.h
)
IF(ENABLE_SCRIPTING)
	SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
		scripting/StelScriptMgr.cpp
		scripting/StratoscriptPreprocessor.cpp
		scripting/StelScriptMgr.hpp
		scripting/ScreenImageMgr.hpp
		scripting/ScreenImageMgr.cpp
		scripting/StelMainScriptAPI.cpp
		scripting/StelMainScriptAPI.hpp
		scripting/StelMainScriptAPIProxy.cpp
		scripting/StelMainScriptAPIProxy.hpp
	)
ENDIF()

IF(WIN32)
	SET(stellarium_lib_SRCS ${stellarium_lib_SRCS}
		core/external/kdewin32/basetyps.h
		core/external/kdewin32/byteswap.h
		core/external/kdewin32/comcat.h
		core/external/kdewin32/dirent.h
		core/external/kdewin32/docobj.h
		core/external/kdewin32/errno.h
		core/external/kdewin32/fcntl.h
		core/external/kdewin32/grp.h
		core/external/kdewin32/ifaddrs.h
		core/external/kdewin32/langinfo.h
		core/external/kdewin32/mshtml.h
		core/external/kdewin32/netdb.h
		core/external/kdewin32/nl_types.h
		core/external/kdewin32/oaidl.h
		core/external/kdewin32/objfwd.h
		core/external/kdewin32/objidl.h
		core/external/kdewin32/ocidl.h
		core/external/kdewin32/olectl.h
		core/external/kdewin32/oleidl.h
		core/external/kdewin32/pwd.h
		core/external/kdewin32/signal.h
		core/external/kdewin32/stdio.h
		core/external/kdewin32/stdlib.h
		core/external/kdewin32/string.h
		core/external/kdewin32/strings.h
		core/external/kdewin32/syslog.h
		core/external/kdewin32/time.h
		core/external/kdewin32/unistd.h
		core/external/kdewin32/unknwn.h
		core/external/kdewin32/wchar.h
		core/external/kdewin32/arpa/inet.h
		core/external/kdewin32/asm/byteorder.h
		core/external/kdewin32/net/if.h
		core/external/kdewin32/netinet/in.h
		core/external/kdewin32/netinet/tcp.h
		core/external/kdewin32/sys/ioctl.h
		core/external/kdewin32/sys/mman.h
		core/external/kdewin32/sys/resource.h
		core/external/kdewin32/sys/select.h
		core/external/kdewin32/sys/signal.h
		core/external/kdewin32/sys/socket.h
		core/external/kdewin32/sys/stat.h
		core/external/kdewin32/sys/time.h
		core/external/kdewin32/sys/times.h
		core/external/kdewin32/sys/types.h
		core/external/kdewin32/sys/uio.h
		core/external/kdewin32/sys/un.h
		core/external/kdewin32/sys/unistd.h
		core/external/kdewin32/sys/utsname.h
		core/external/kdewin32/sys/wait.h

		core/external/kdewin32/bind/inet_ntop.c
		core/external/kdewin32/bind/inet_pton.c
		core/external/kdewin32/dirent.c
		core/external/kdewin32/errno.c
		core/external/kdewin32/fsync.c
		core/external/kdewin32/getenv.c
		core/external/kdewin32/grp.c
		core/external/kdewin32/inet.c
		core/external/kdewin32/mmap.c
		core/external/kdewin32/nl_langinfo.c
		core/external/kdewin32/net.c
		core/external/kdewin32/pwd.c
		core/external/kdewin32/realpath.c
		core/external/kdewin32/resource.c
		core/external/kdewin32/signal.c
		core/external/kdewin32/stdlib.c
		core/external/kdewin32/string.c
		core/external/kdewin32/strptime.c
		core/external/kdewin32/syslog.c
		core/external/kdewin32/time.c
		core/external/kdewin32/uname.c
		core/external/kdewin32/unistd.c
	)
ENDIF(WIN32)

SET(stellarium_exe_SRCS main.cpp)

################# compiles resources files ############
SET(stellarium_RES ${CMAKE_SOURCE_DIR}/data/mainRes.qrc)
QT4_ADD_RESOURCES(stellarium_RES_CXX ${stellarium_RES})

################# compiles moc files ############
# Add here all the files which require moc compilation
# that is, all the headers with SIGNAL/SLOTS/PLUGIN_INTERFACE etc..
SET(stellarium_MOC_HDRS
	core/StelAudioMgr.hpp
	core/StelModuleMgr.hpp
	core/StelObjectMgr.hpp
	core/StelObserver.hpp
	core/StelApp.hpp
	core/StelLocationMgr.hpp
	core/StelCore.hpp
	core/StelAppGraphicsWidget.hpp
	core/StelTexture.hpp
	core/StelMovementMgr.hpp
	core/MultiLevelJsonBase.hpp
	core/StelSkyImageTile.hpp
	core/StelSkyPolygon.hpp
	core/StelSkyDrawer.hpp
	core/StelSkyLayerMgr.hpp
	core/StelSkyLayer.hpp
	core/StelSkyCultureMgr.hpp
	core/SimbadSearcher.hpp
	core/modules/ConstellationMgr.hpp
	core/modules/GridLinesMgr.hpp
	core/modules/LabelMgr.hpp
	core/modules/LandscapeMgr.hpp
	core/modules/MeteorMgr.hpp
	core/modules/MilkyWay.hpp
	core/modules/NebulaMgr.hpp
	core/modules/SolarSystem.hpp
	core/modules/StarMgr.hpp
	StelMainGraphicsView.hpp
	StelMainWindow.hpp
)

IF(ENABLE_SCRIPTING)
	SET(stellarium_MOC_HDRS ${stellarium_MOC_HDRS}
		scripting/ScreenImageMgr.hpp
		scripting/StelScriptMgr.hpp
		scripting/StelMainScriptAPI.hpp
		scripting/StelMainScriptAPIProxy.hpp
	)
ENDIF()

# After this call, stellarium_MOC_SRCS = moc_stellarium.cxx
QT4_WRAP_CPP(stellarium_MOC_SRCS ${stellarium_MOC_HDRS})


#############################################################################################
############################# Standard GUI plugin compilation ###############################
#############################################################################################
IF (GUI_MODE STREQUAL "Standard")
	SET(stellarium_gui_SRCS
		gui/StelGui.hpp
		gui/StelGui.cpp
		gui/SkyGui.hpp
		gui/SkyGui.cpp
		gui/StelStyle.hpp
		gui/StelGuiItems.hpp
		gui/StelGuiItems.cpp
		gui/HelpDialog.hpp
		gui/HelpDialog.cpp
		gui/Dialog.hpp
		gui/Dialog.cpp
		gui/MapLabel.hpp
		gui/MapLabel.cpp
		gui/AngleSpinBox.hpp
		gui/AngleSpinBox.cpp
		gui/LocationDialog.hpp
		gui/LocationDialog.cpp
		gui/DateTimeDialog.hpp
		gui/DateTimeDialog.cpp
		gui/ViewDialog.hpp
		gui/ViewDialog.cpp

=== textures/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES amalthea.png proteus.png triton.png mercury.png venus.png earth-clouds.png earthmap.png mars.png jupiter.png saturn.png uranus.png neptune.png earth-shadow.png saturn_rings_radial.png uranus_rings.png neptune_rings.png lune.png phobos.png deimos.png io.png europa.png ganymede.png callisto.png mimas.png enceladus.png tethys.png dione.png rhea.png titan.png hyperion.png iapetus.png miranda.png ariel.png umbriel.png titania.png oberon.png fog.png milkyway.png fogridge.png ocl.png gcl.png pnb.png neb.png halo.png pointeur2.png pointeur4.png pointeur5.png logo24bits.png star16x16.png sun.png nomap.png haloLune.png planet-indicator.png DESTINATION share/${PACKAGE}/textures)

=== plugins/AngleMeasure/CMakeLists.txt ===
# This is the cmake config file for the AngleMeasure plugin
SET(ANGLEMEASURE_VERSION "0.2.0")

ADD_SUBDIRECTORY( src )

IF(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)
INSTALL(FILES DESTINATION "modules/AngleMeasure")

=== plugins/Quasars/CMakeLists.txt ===
SET(QUASARS_PLUGIN_MAJOR "0")
SET(QUASARS_PLUGIN_MINOR "1")
SET(QUASARS_PLUGIN_PATCH "1")
SET(QUASARS_VERSION "${QUASARS_PLUGIN_MAJOR}.${QUASARS_PLUGIN_MINOR}.${QUASARS_PLUGIN_PATCH}")

IF(APPLE)
  SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ELSE(APPLE)
  SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DQUASARS_PLUGIN_VERSION="${QUASARS_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Quasars")

=== plugins/Supernovae/CMakeLists.txt ===
SET(SNE_MAJOR "0")
SET(SNE_MINOR "2")
SET(SNE_PATCH "8")
SET(SNE_VERSION "${SNE_MAJOR}.${SNE_MINOR}.${SNE_PATCH}")

IF(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/Library/Application\ Support/Stellarium)
ElSE(APPLE)
    SET(CMAKE_INSTALL_PREFIX $ENV{HOME}/.stellarium)
ENDIF(APPLE)

ADD_DEFINITIONS(-DPLUGIN_VERSION="${SNE_VERSION}")

ADD_SUBDIRECTORY( src )

INSTALL(FILES DESTINATION "modules/Supernovae")

=== po/stellarium-skycultures/CMakeLists.txt ===
SET(skycultures_DOMAIN stellarium-skycultures)
SET(skycultures_POT ${skycultures_DOMAIN}.pot)

GETTEXT_CREATE_TRANSLATIONS(${skycultures_DOMAIN} DEFAULT_TARGET
    af ar az be bg bn bs ca cs cy da de dv el en en_AU en_CA en_GB eo es et eu fa fil fi fr ga gl gu haw he hi hr hrx hu hy ia id is it ja ka kn ko lt lv mk ml mr ms mt mi nan nb nl nn pl pt_BR pt ro ru se si sk sl sq sr sv te th tl tr uk vi zh_CN zh_HK zh_TW
)

ADD_CUSTOM_TARGET(
    generate-pot-${skycultures_DOMAIN}
    ${GETTEXT_XGETTEXT_EXECUTABLE}
        -o ${skycultures_POT}
        --keyword=_
        -C
        --directory=${PROJECT_SOURCE_DIR}
        --files-from=POTFILES.in
        --copyright-holder=Stellarium's\ team
	--from-code=utf-8
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating ${skycultures_POT}"
    VERBATIM
)

# Generate this POT file when building the "generate-pot" target.
ADD_DEPENDENCIES(generate-pot generate-pot-${skycultures_DOMAIN})

=== po/stellarium/CMakeLists.txt ===
SET(stellarium_DOMAIN stellarium)
SET(stellarium_POT ${stellarium_DOMAIN}.pot)

GETTEXT_CREATE_TRANSLATIONS(${stellarium_DOMAIN} DEFAULT_TARGET
    af ar az be bg bn bo br bs ca cs cy da de dv el en_AU en_CA en_GB en eo es et eu fa fil fi fr fy ga gl gu gv haw he hi hr hrx hu hy ia id is it ja ka kn ko lt lv mk ml mr ms mt mi nan nb nl nn oc pl pt_BR pt ro ru sco se si sk sl sq sr sv ta te th tl tr uk vi zh_CN zh_HK zh_TW
)

ADD_CUSTOM_TARGET(
    generate-pot-${stellarium_DOMAIN}
    ${GETTEXT_XGETTEXT_EXECUTABLE}
        -o ${CMAKE_CURRENT_SOURCE_DIR}/${stellarium_POT}
        -C
        --qt
        --keyword=_
        --keyword=N_
        --keyword=q_
        --keyword=translate:2
        --add-comments=TRANSLATORS:
        --directory=${CMAKE_BINARY_DIR}
        --directory=${CMAKE_SOURCE_DIR}
        --output-dir=${CMAKE_BINARY_DIR}
        --files-from=${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
        --copyright-holder=Stellarium's\ team
        --from-code=utf-8
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generating ${stellarium_POT}"
    VERBATIM
)
# TODO: It would be nice to just depend on the exact files in POTFILES.in
#file(READ ${CMAKE_CURRENT_SOURCE_DIR}/${stellarium_POT} UiHeaders)
#ADD_DEPENDENCIES(generate-pot-${stellarium_DOMAIN} UiHeaders)
#ADD_DEPENDENCIES(generate-pot-${stellarium_DOMAIN} stellarium_UIS_H)
# Make sure the UI headers are created first.
ADD_DEPENDENCIES(generate-pot-${stellarium_DOMAIN} StelGuiLib)

# Generate this POT file when building the "generate-pot" target.
ADD_DEPENDENCIES(generate-pot generate-pot-${stellarium_DOMAIN})

=== plugins/Satellites/src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(. gsatellite gui ${CMAKE_BINARY_DIR}/plugins/Satellites/src ${CMAKE_BINARY_DIR}/plugins/Satellites/src/gui)

LINK_DIRECTORIES(/src)

SET(Satellites_SRCS
  gsatellite/gException.hpp
  gsatellite/gSatTEME.cpp
  gsatellite/gSatTEME.hpp
  gsatellite/mathUtils.cpp
  gsatellite/mathUtils.hpp
  gsatellite/gTime.cpp
  gsatellite/gTime.hpp
  gsatellite/gTimeSpan.cpp
  gsatellite/gVector.cpp
  gsatellite/gVector.hpp
  gsatellite/gVectorTempl.hpp
  gsatellite/sgp4ext.cpp
  gsatellite/sgp4ext.h
  gsatellite/sgp4io.cpp
  gsatellite/sgp4io.h
  gsatellite/sgp4unit.cpp
  gsatellite/sgp4unit.h
  gsatellite/stdsat.h

  gSatWrapper.hpp
  gSatWrapper.cpp
  Satellite.hpp
  Satellite.cpp
  Satellites.hpp
  Satellites.cpp
  gui/SatellitesDialog.hpp
  gui/SatellitesDialog.cpp
  gui/SatellitesImportDialog.hpp
  gui/SatellitesImportDialog.cpp
)

SET(SatellitesDialog_UIS
  gui/satellitesDialog.ui
  gui/satellitesImportDialog.ui
)
QT4_WRAP_UI(SatellitesDialog_UIS_H ${SatellitesDialog_UIS})

SET(Satellites_RES ../resources/Satellites.qrc)
QT4_ADD_RESOURCES(Satellites_RES_CXX ${Satellites_RES})

# Add here all the files which require moc compilation
# that is, all the headers with SIGNAL/SLOTS/PLUGIN_INTERFACE etc..
SET(Satellites_MOC_HDRS
  Satellites.hpp
  gui/SatellitesDialog.hpp
  gui/SatellitesImportDialog.hpp
)

# After this call, Satellites_MOC_SRCS = moc_Satellites.cxx
QT4_WRAP_CPP(Satellites_MOC_SRCS ${Satellites_MOC_HDRS})

SET(extLinkerOption ${QT_LIBRARIES} ${OPENGL_LIBRARIES} ${ICONV_LIBRARIES} ${INTL_LIBRARIES})

############### For building the dynamic library ######################
IF(BUILD_DYNAMIC_PLUGINS)
	ADD_LIBRARY(Satellites MODULE ${Satellites_SRCS} ${Satellites_MOC_SRCS} ${Satellites_RES_CXX} ${SatellitesDialog_UIS_H})
	IF(APPLE)
		FIND_LIBRARY(OPENGL_LIBRARY OpenGL)
		MARK_AS_ADVANCED(OPENGL_LIBRARY)
		SET_TARGET_PROPERTIES(Satellites PROPERTIES LINK_FLAGS "-undefined dynamic_lookup" SUFFIX ".dylib")
	ENDIF()

	IF(WIN32)
		SET_TARGET_PROPERTIES(Satellites PROPERTIES LINK_FLAGS "-enable-runtime-pseudo-reloc -Wl,--allow-multiple-definition" )
		SET(StelMain stelMain)
	ELSE(WIN32)
		SET(StelMain )
	ENDIF(WIN32)

	TARGET_LINK_LIBRARIES(Satellites ${StelMain} ${extLinkerOption})
	INSTALL(TARGETS Satellites DESTINATION "modules/Satellites")
ENDIF()

############### For building the static library ######################
IF(BUILD_STATIC_PLUGINS)
	ADD_LIBRARY(Satellites-static STATIC ${Satellites_SRCS} ${Satellites_MOC_SRCS} ${Satellites_RES_CXX} ${SatellitesDialog_UIS_H})
	# The library target "Satellites-static" has a default OUTPUT_NAME of "Satellites-static", so change it.
	SET_TARGET_PROPERTIES(Satellites-static PROPERTIES OUTPUT_NAME "Satellites")
	TARGET_LINK_LIBRARIES(Satellites-static ${StelMain} ${extLinkerOption})
	SET_TARGET_PROPERTIES(Satellites-static PROPERTIES COMPILE_FLAGS "-DQT_STATICPLUGIN -Wno-unused-parameter -Wno-unused-but-set-parameter -Wno-unused-but-set-variable")
	ADD_DEPENDENCIES(AllStaticPlugins Satellites-static)
ENDIF()

=== debian/changelog ===
stellarium (0.11.2-1) unstable; urgency=low

  * Imported Upstream version 0.11.1 and then 0.11.2 (Closes: #658431)
  * Change maintainer (Closes: #668916)
  * Machine-readable copyright file
  * Bump Standards-Version to 3.9.3
  * Update debhelper compat to 9
  * Fix lintian duplicate-font-file warning
  * Fix copyright-refers-to-symlink-license lintian tag
  * Add lintian override for embedded-library error

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Fri, 18 May 2012 13:26:18 +0200
